Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 244363 - Patch for: Add help:describe action to context menu of goal in pom-navigator
Patch for: Add help:describe action to context menu of goal in pom-navigator
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
8.0
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@projects
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-07 20:29 UTC by markiewb
Modified: 2015-02-15 06:50 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows the window, where the RFE should take place (37.48 KB, image/png)
2014-05-07 20:29 UTC, markiewb
Details
Proposed patch (2.34 KB, patch)
2015-02-11 21:27 UTC, markiewb
Details | Diff
Shows patch in action (39.23 KB, image/png)
2015-02-11 21:27 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2014-05-07 20:29:25 UTC
Created attachment 147167 [details]
Shows the window, where the RFE should take place

* Open a maven project
* Select its project node -> in the navigator the mvn goals are shown
* Open the context menu of a goal

EXPECTED: new action "Help on this goal" in the context menu of a maven goal. This action invokes "mvn help:describe -Dcmd=group:artifactid:version -Ddetail" for the current goal. The output is shown in a separate popup window or in the output window or in the editor

See screenshot.

Product Version: NetBeans IDE 8.0 (Build 201403101706)
Updates: NetBeans IDE is updated to version , NetBeans 8.0 Patch 1
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
User directory: C:\Users\markiewb\AppData\Roaming\NetBeans\8.0
Cache directory: C:\Users\markiewb\AppData\Local\NetBeans\Cache\8.0
Comment 1 markiewb 2015-02-11 21:27:42 UTC
Created attachment 151962 [details]
Proposed patch

Please review the patch. The patch introduces the requested action "Show documentation" to the context menu of a goal in the pom-navigator. See the screenshot.
Comment 2 markiewb 2015-02-11 21:27:58 UTC
Created attachment 151963 [details]
Shows patch in action
Comment 3 Tomas Stupka 2015-02-13 16:50:14 UTC
fixed in jet-main #217d6cdc2484
Comment 4 Tomas Stupka 2015-02-13 16:51:50 UTC
and thanks for the suggested patch ...
Comment 5 Quality Engineering 2015-02-15 06:50:53 UTC
Integrated into 'main-silver', will be available in build *201502150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/217d6cdc2484
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #244363 - Patch for: Add help:describe action to context menu of goal in pom-navigator


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo